Bug 1325486 - [abrt] kde-connect: QObject::disconnect(): kdeconnectd killed by SIGSEGV
Summary: [abrt] kde-connect: QObject::disconnect(): kdeconnectd killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kde-connect
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Bříza
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:3fa2ee583f98436cc63311194a1...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-09 06:27 UTC by Karel Volný
Modified: 2016-12-20 19:53 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 19:53:12 UTC


Attachments (Terms of Use)
File: backtrace (59.20 KB, text/plain)
2016-04-09 06:27 UTC, Karel Volný
no flags Details
File: cgroup (148 bytes, text/plain)
2016-04-09 06:27 UTC, Karel Volný
no flags Details
File: core_backtrace (14.25 KB, text/plain)
2016-04-09 06:27 UTC, Karel Volný
no flags Details
File: dso_list (18.86 KB, text/plain)
2016-04-09 06:27 UTC, Karel Volný
no flags Details
File: environ (1.74 KB, text/plain)
2016-04-09 06:27 UTC, Karel Volný
no flags Details
File: limits (1.29 KB, text/plain)
2016-04-09 06:27 UTC, Karel Volný
no flags Details
File: maps (74.96 KB, text/plain)
2016-04-09 06:27 UTC, Karel Volný
no flags Details
File: mountinfo (3.29 KB, text/plain)
2016-04-09 06:27 UTC, Karel Volný
no flags Details
File: namespaces (85 bytes, text/plain)
2016-04-09 06:27 UTC, Karel Volný
no flags Details
File: open_fds (1.25 KB, text/plain)
2016-04-09 06:27 UTC, Karel Volný
no flags Details
File: proc_pid_status (1.05 KB, text/plain)
2016-04-09 06:27 UTC, Karel Volný
no flags Details
File: var_log_messages (28 bytes, text/plain)
2016-04-09 06:27 UTC, Karel Volný
no flags Details


Links
System ID Priority Status Summary Last Updated
Qt Bug Tracker QTBUG-52988 None None None 2016-04-26 10:50:14 UTC

Description Karel Volný 2016-04-09 06:27:29 UTC
Version-Release number of selected component:
kde-connect-0.9-4.fc23

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/libexec/kdeconnectd
crash_function: QObject::disconnect
executable:     /usr/libexec/kdeconnectd
global_pid:     1609
kernel:         4.4.6-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 QObject::disconnect at kernel/qobject.cpp:2949
 #2 QDBusConnectionPrivate::closeConnection at qdbusintegrator.cpp:1126
 #3 QDBusConnectionManager::run at qdbusconnection.cpp:191
 #4 QThreadPrivate::start at thread/qthread_unix.cpp:340

Comment 1 Karel Volný 2016-04-09 06:27:36 UTC
Created attachment 1145345 [details]
File: backtrace

Comment 2 Karel Volný 2016-04-09 06:27:38 UTC
Created attachment 1145346 [details]
File: cgroup

Comment 3 Karel Volný 2016-04-09 06:27:40 UTC
Created attachment 1145347 [details]
File: core_backtrace

Comment 4 Karel Volný 2016-04-09 06:27:42 UTC
Created attachment 1145348 [details]
File: dso_list

Comment 5 Karel Volný 2016-04-09 06:27:43 UTC
Created attachment 1145349 [details]
File: environ

Comment 6 Karel Volný 2016-04-09 06:27:44 UTC
Created attachment 1145350 [details]
File: limits

Comment 7 Karel Volný 2016-04-09 06:27:46 UTC
Created attachment 1145351 [details]
File: maps

Comment 8 Karel Volný 2016-04-09 06:27:48 UTC
Created attachment 1145352 [details]
File: mountinfo

Comment 9 Karel Volný 2016-04-09 06:27:49 UTC
Created attachment 1145353 [details]
File: namespaces

Comment 10 Karel Volný 2016-04-09 06:27:50 UTC
Created attachment 1145354 [details]
File: open_fds

Comment 11 Karel Volný 2016-04-09 06:27:52 UTC
Created attachment 1145355 [details]
File: proc_pid_status

Comment 12 Karel Volný 2016-04-09 06:27:54 UTC
Created attachment 1145356 [details]
File: var_log_messages

Comment 13 Florian Bruhin 2016-04-26 09:08:29 UTC
I've also seen this crash (100% reproducible) since updating to Qt 5.6 with my PyQt application.

I've now reported it upstream: https://bugreports.qt.io/browse/QTBUG-52988

Comment 14 Rex Dieter 2016-04-26 10:50:15 UTC
Thanks for the test-case.

Comment 15 Fedora End Of Life 2016-11-25 07:18:37 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2016-12-20 19:53:12 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.